<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.hssf.record.CellValueRecordInterface (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.hssf.record.CellValueRecordInterface (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
               title="interface in org.apache.poi.hssf.record">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/class-use/CellValueRecordInterface.html"
               target="_top">Frames</a></li>
        <li><a href="CellValueRecordInterface.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.hssf.record.CellValueRecordInterface" class="title">Uses of
        Interface<br>org.apache.poi.hssf.record.CellValueRecordInterface</h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.eventusermodel">org.apache.poi.hssf.eventusermodel</a>
                    </td>
                    <td class="colLast">
                        <div class="block">HSSF eventmodel Package provides an event-based API for reading HSSF files.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.model">org.apache.poi.hssf.model</a></td>
                    <td class="colLast">
                        <div class="block">Provides low level API structures for reading, writing, modifying XLS
                            files.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record">org.apache.poi.hssf.record</a></td>
                    <td class="colLast">
                        <div class="block">Record package contains class representations for XLS binary strutures.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record.aggregates">org.apache.poi.hssf.record.aggregates</a>
                    </td>
                    <td class="colLast">
                        <div class="block">record aggregates are not real "records" but collections of records that act
                            as a single record.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.eventusermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                   title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a> in <a
                            href="../../../../../../org/apache/poi/hssf/eventusermodel/package-summary.html">org.apache.poi.hssf.eventusermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/eventusermodel/package-summary.html">org.apache.poi.hssf.eventusermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.lang.String</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">FormatTrackingHSSFListener.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html#formatNumberDateCell-org.apache.poi.hssf.record.CellValueRecordInterface-">formatNumberDateCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                    title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cell)</code>
                                <div class="block">Formats the given numeric of date cells contents as a String, in as
                                    close as we can to the way that Excel would do so.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">FormatTrackingHSSFListener.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html#getFormatIndex-org.apache.poi.hssf.record.CellValueRecordInterface-">getFormatIndex</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                    title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cell)</code>
                                <div class="block">Returns the index of the format string, used by your cell, or -1 if
                                    none found
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.lang.String</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">FormatTrackingHSSFListener.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html#getFormatString-org.apache.poi.hssf.record.CellValueRecordInterface-">getFormatString</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                    title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cell)</code>
                                <div class="block">Returns the format string, eg $##.##, used by your cell</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                   title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a> in <a
                            href="../../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.Iterator&lt;<a
                                    href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                    title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">InternalSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/model/InternalSheet.html#getCellValueIterator--">getCellValueIterator</a></span>()</code>
                                <div class="block">Get all the value records (from LOC).</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">InternalSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/model/InternalSheet.html#addValueRecord-int-org.apache.poi.hssf.record.CellValueRecordInterface-">addValueRecord</a></span>(int&nbsp;row,
                                <a href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                   title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;col)</code>
                                <div class="block">Adds a value record to the sheet's contained binary records
                                    (i.e.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">InternalSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/model/InternalSheet.html#removeValueRecord-int-org.apache.poi.hssf.record.CellValueRecordInterface-">removeValueRecord</a></span>(int&nbsp;row,
                                <a href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                   title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;col)</code>
                                <div class="block">remove a value record from the records array.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">InternalSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/model/InternalSheet.html#replaceValueRecord-org.apache.poi.hssf.record.CellValueRecordInterface-">replaceValueRecord</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                    title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;newval)</code>
                                <div class="block">replace a value record from the records array.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.record">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                   title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a> in <a
                            href="../../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a> that implement <a
                                href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/BlankRecord.html"
                                    title="class in org.apache.poi.hssf.record">BlankRecord</a></span></code>
                                <div class="block">Title: Blank cell record (0x0201)</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/BoolErrRecord.html"
                                    title="class in org.apache.poi.hssf.record">BoolErrRecord</a></span></code>
                                <div class="block">Creates new BoolErrRecord.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/CellRecord.html"
                                    title="class in org.apache.poi.hssf.record">CellRecord</a></span></code>
                                <div class="block">Base class for all cell value records (implementors of <a
                                        href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record"><code>CellValueRecordInterface</code></a>).
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/FormulaRecord.html"
                                    title="class in org.apache.poi.hssf.record">FormulaRecord</a></span></code>
                                <div class="block">Formula Record (0x0006).</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/LabelRecord.html"
                                    title="class in org.apache.poi.hssf.record">LabelRecord</a></span></code>
                                <div class="block">Label Record (0x0204) - read only support for strings stored directly
                                    in the cell...
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/LabelSSTRecord.html"
                                    title="class in org.apache.poi.hssf.record">LabelSSTRecord</a></span></code>
                                <div class="block">Title: Label SST Record</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/NumberRecord.html"
                                    title="class in org.apache.poi.hssf.record">NumberRecord</a></span></code>
                                <div class="block">NUMBER (0x0203) Contains a numeric cell value.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/RKRecord.html"
                                    title="class in org.apache.poi.hssf.record">RKRecord</a></span></code>
                                <div class="block">Title: RK Record (0x027E)</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.record.aggregates">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                   title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a> in <a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/package-summary.html">org.apache.poi.hssf.record.aggregates</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hssf/record/aggregates/package-summary.html">org.apache.poi.hssf.record.aggregates</a> that implement <a
                                href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html"
                                    title="class in org.apache.poi.hssf.record.aggregates">FormulaRecordAggregate</a></span></code>
                                <div class="block">The formula record aggregate is used to join together the formula
                                    record and it's
                                    (optional) string record and (optional) Shared Formula Record (template reads, excel
                                    optimization).
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/record/aggregates/package-summary.html">org.apache.poi.hssf.record.aggregates</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.Iterator&lt;<a
                                    href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                    title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">RowRecordsAggregate.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#getCellValueIterator--">getCellValueIterator</a></span>()</code>
                                <div class="block">Returns an iterator for the cell values</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.Iterator&lt;<a
                                    href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                    title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">ValueRecordsAggregate.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#iterator--">iterator</a></span>()</code>
                                <div class="block">value iterator</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/record/aggregates/package-summary.html">org.apache.poi.hssf.record.aggregates</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ValueRecordsAggregate.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#construct-org.apache.poi.hssf.record.CellValueRecordInterface-org.apache.poi.hssf.model.RecordStream-org.apache.poi.hssf.record.aggregates.SharedValueManager-">construct</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                    title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;rec,
                                <a href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                   title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs,
                                <a href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
                                   title="class in org.apache.poi.hssf.record.aggregates">SharedValueManager</a>&nbsp;sfh)</code>
                                <div class="block">Processes a single cell value record</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">RowRecordsAggregate.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#insertCell-org.apache.poi.hssf.record.CellValueRecordInterface-">insertCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                    title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cvRec)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ValueRecordsAggregate.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#insertCell-org.apache.poi.hssf.record.CellValueRecordInterface-">insertCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                    title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cell)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">RowRecordsAggregate.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#removeCell-org.apache.poi.hssf.record.CellValueRecordInterface-">removeCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                    title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cvRec)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ValueRecordsAggregate.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#removeCell-org.apache.poi.hssf.record.CellValueRecordInterface-">removeCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                    title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cell)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                   title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                    title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html#getCellValueRecord--">getCellValueRecord</a></span>()</code>
                                <div class="block">Should only be used by HSSFSheet and friends.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html#HSSFCell-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.record.CellValueRecordInterface-">HSSFCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;book,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                   title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cval)</code>
                                <div class="block">Creates an HSSFCell from a CellValueRecordInterface.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
               title="interface in org.apache.poi.hssf.record">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/class-use/CellValueRecordInterface.html"
               target="_top">Frames</a></li>
        <li><a href="CellValueRecordInterface.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
